angular.module('flexiblecustomersService',[]).factory('Flexiblecustomers',function($http){
	return {
		getPaging:function(filter){
			return $http({method:'POST',url:url_server + 'flexiblecustomerspaging',data:filter});
		},
		getSelect:function(){
			return $http({method:'POST',url:url_server + 'flexiblecustomers/getall',headers:headers,withCredentials: true});
		},
		getSelect2:function(filter){
			return $http({method:'POST',url:url_server + 'flexiblecustomers/search',data:filter});
		},
		show:function(id){
			return $http.get(url_server+ 'flexiblecustomers/'+id);
		},
		save:function(flexiblecustomersData){
			return $http({method:'POST',
							url:url_server+'flexiblecustomers',
							data:flexiblecustomersData});
		},
		update:function(id, flexiblecustomersData){
			return $http.put(url_server+'flexiblecustomers/'+id,flexiblecustomersData);
		},
		destroy:function(id){
			return $http.delete(url_server + 'flexiblecustomers/'+id);
		}
	};
});
